<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * Charge ADSL Traffic to Customers
 *
 * @package    ADSL
 * @category   Tasks
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Task_Adsl_Trafficcharge extends Task_Adsl_Trafficget {
	protected function _execute(array $params) {
		foreach ($this->_traffic_suppliers(TRUE) as $aso) {
			if ($params['verbose'])
				echo $aso->name."\n";

			Service_Traffic_Adsl::instance($aso->name)->charge_excess_traffic();
		}
	}
}
?>
